ApplicationParameter (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: ApplicationParameter

# Class ApplicationParameter

java.lang.Object
org.apache.tomcat.util.descriptor.web.ApplicationParameter

All Implemented Interfaces:
  `Serializable`

public class ApplicationParameter extends Object implements Serializable
Representation of a context initialization parameter that is configured in the server configuration file, rather than the application deployment descriptor. This is convenient for establishing default values (which may be configured to allow application overrides or not) without having to modify the application deployment descriptor itself.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationParameter()`
  Constructs a new ApplicationParameter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the description of this parameter.
  `String`
  `getName()`
  Returns the name of this parameter.
  `boolean`
  `getOverride()`
  Returns whether overrides are allowed.
  `String`
  `getValue()`
  Returns the value of this parameter.
  `void`
  `setDescription(String description)`
  Sets the description of this parameter.
  `void`
  `setName(String name)`
  Sets the name of this parameter.
  `void`
  `setOverride(boolean override)`
  Sets whether overrides are allowed.
  `void`
  `setValue(String value)`
  Sets the value of this parameter.
  `String`
  `toString()`
  Return a String representation of this object.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationParameter

    public ApplicationParameter()
    Constructs a new ApplicationParameter.

- ## Method Details

  - ### getDescription

    public String getDescription()
    Returns the description of this parameter.
    Returns:
      the description of this parameter

  - ### setDescription

    public void setDescription(String description)
    Sets the description of this parameter.
    Parameters:
      `description` - the description

  - ### getName

    public String getName()
    Returns the name of this parameter.
    Returns:
      the name of this parameter

  - ### setName

    public void setName(String name)
    Sets the name of this parameter.
    Parameters:
      `name` - the name

  - ### getOverride

    public boolean getOverride()
    Returns whether overrides are allowed.
    Returns:
      whether overrides are allowed

  - ### setOverride

    public void setOverride(boolean override)
    Sets whether overrides are allowed.
    Parameters:
      `override` - whether overrides are allowed

  - ### getValue

    public String getValue()
    Returns the value of this parameter.
    Returns:
      the value of this parameter

  - ### setValue

    public void setValue(String value)
    Sets the value of this parameter.
    Parameters:
      `value` - the value

  - ### toString

    public String toString()
    Return a String representation of this object.
    Overrides:
      `toString` in class `Object`